<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

class WPSCodeStudio_Import {

    public function __construct() {
        if ( ! is_plugin_active( 'wordpress-importer/wordpress-importer.php') ) {
            return;
        } 
        add_action( 'import_end', array( $this, 'import_end' ) );
    }

    function import_end() {
       wpscs_build_search_tree(); 
       $this->create_files();
    }

    function create_files() {
        $posts = query_posts( 'post_type=code-studio&post_status=publish&nopaging=true' );
        $tree = array();
        foreach ( $posts as $_post ) {
            $options = wpscs_get_options( $_post->ID );
            $filename = $_post->ID . '.' . $options['language'];
            wpscs_save_code_file( $_post->post_content, $options, $filename ); 
        }
    }
}

return new WPSCodeStudio_Import();
