<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

class WPSCodeStudio_Shortcodes {

    public function __construct() {
        add_action('init', array( $this, 'init' ) );
        add_action( 'admin_print_scripts', array( $this, 'admin_print_scripts' ) );
    }

    function init() {
		if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') ) {
	    	return;
		}

		if ( get_user_option('rich_editing') == 'true' ) {
			add_filter( 'mce_external_plugins', array( $this, 'mce_external_plugins') );
			add_filter( 'mce_buttons', array( $this, 'mce_buttons_1') );
		}
    }

    function mce_external_plugins( $plugins ) {
		$plugins['wpscs_shortcodes'] = plugins_url('assets/tinyMCE-button.js', WPSCS_PLUGIN_FILE );
        return $plugins;
    }

    function mce_buttons_1( $buttons ) {
		array_push($buttons, 'wpscs_shortcodes');
		return $buttons;
    }

    function admin_print_scripts() {
        $search_tree = get_option( 'code-studio-tree' );
        $shortcodes = array();
        if ( is_array($search_tree) && count($search_tree) > 0 && isset($search_tree[10]) && isset($search_tree[10]['shortcode']) ) {
            foreach( $search_tree[10]['shortcode'] as $shortcode_id ) {
                $shortcode = explode('-', $shortcode_id, 2);
                if ( !is_array($shortcode) || count($shortcode) !== 2 )
                    continue;
                $shortcode_post = get_post( $shortcode[0] );
                $shortcodes[] = array(
                    'id' => $shortcode[1],
                    'title' => $shortcode_post->post_title,
                );
            }
        }

?>
<style type="text/css">.wpscs_shortcodes-icon:before { content: "\f475"; display: inline-block; -webkit-font-smoothing: antialiased; font: normal 19px/1 "dashicons"; vertical-align: top; }</style>

<script type="text/javascript">/* <![CDATA[ */
var wpscs_shortcodes = <?php echo json_encode( $shortcodes ); ?>;
/* ]]> */
</script>
<?php
    }
}

return new WPSCodeStudio_Shortcodes();