<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

class WPSCodeStudio_Warnings {

    public function __construct() {
        if ( ! function_exists( 'is_plugin_active' ) ) {
            require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
        } 
        $this->check_qtranslatex();
        add_action( 'wp_ajax_wpscsp_dismiss', array( $this, 'notice_dismiss' ) );
    }

    function check_qtranslatex() {
        if ( ! is_plugin_active( 'qtranslate-x/qtranslate.php' ) ) return false;
        if ( get_option('wpscsp_dismiss_qtranslate') !== false ) {
            return;
        }
        $qtranslate_post_type_excluded = get_option('qtranslate_post_type_excluded');
        if ( ! is_array( $qtranslate_post_type_excluded ) || array_search( 'code-studio', $qtranslate_post_type_excluded ) === false ) { 
            var_dump( $qtranslate_post_type_excluded );
            add_action( 'admin_notices', array( $this, 'check_qtranslate_notice' ) );
            return;
        }
    }

    function check_qtranslate_notice() {
        $id = 'wpscsp_dismiss_qtranslate';
        $class = 'notice notice-warning is-dismissible';
        $message = __( 'Please remove the <b>code-studio</b> post type from the <b>qTranslate settings</b> in order to avoid some malfunctions in the Code Studio plugin.' );
        printf( '<div class="%1$s" id="%2$s"><p>%3$s</p></div>', $class, $id, $message );
        $this->dismiss_js( $id );
    }

    function dismiss_js( $slug ) {
    ?>
        <script type='text/javascript'>
        jQuery(function($){
            $(document).on( 'click', '#<?php echo $slug; ?> .notice-dismiss', function() {
            var data = {
                action: 'wpscsp_dismiss',
                option: '<?php echo $slug; ?>',
            };
            $.post(ajaxurl, data, function(response ) {
                $('#<?php echo $slug; ?>').fadeOut('slow');
            });
            });
        });
        </script>
    <?php
    }

    function notice_dismiss() {
        $option = $_POST['option'];
        update_option( $option, 1 );
        wp_die();
    }
}

return new WPSCodeStudio_Warnings();